SystemOrganization addCategory: 'ConfigurationOfExternal'!

ConfigurationOf subclass: #ConfigurationOfExternal
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfExternal'!

!ConfigurationOfExternal commentStamp: 'dkh 5/4/2012 14:20' prior: 0!
**External**  is a sample dependent project for the [Sample project][1].

I'm used to specify the various versions of the **External** project on a dialect by dialect base. 

Basic branch structure:

```
 +-master            Common code, documentation and BaselineOfExternalProject
   +-gemstone     version of project for gemstone
   +-pharo            version of project for pharo
   +-squeak          version of project for squeak
 +-configuration  ConfigurationOfExternalProject working version
   +-release         ConfigurationOfExternalProject release version
```

[1]: https://github.com/dalehenrich/sample!

!ConfigurationOfExternal methodsFor: 'baselines' stamp: 'dkh 11/23/2013 17:55'!
baseline1000: spec
  <version: '1.0.0-baseline'>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'baseline'.
      spec repository: 'http://ss3.gemstone.com/ss/external'.
      spec
        package: 'External-Core';
        package: 'External-Tests' with: [ spec requires: 'External-Core' ];
        yourself.
      spec
        group: 'default' with: #('Core');
        group: 'Core' with: #('External-Core');
        group: 'Tests' with: #('External-Tests');
        group: 'External Core' with: #('Core');
        group: 'External Tests' with: #('Tests');
        yourself ]! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 6/12/2012 10:59:26.317'!
bleedingEdge: spec
    <symbolicVersion: #'bleedingEdge'>
    spec for: #'gemstone' version: 'github://dalehenrich/external:gemstone/repository'.
    spec for: #'pharo' version: 'github://dalehenrich/external:master/repository'.
    spec for: #'squeak' version: 'github://dalehenrich/external:squeak/repository'! !

!ConfigurationOfExternal methodsFor: 'symbolic versions' stamp: 'dkh 05/20/2014 11:20'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 11/22/2013 20:11'!
otto: spec
  <symbolicVersion: #'otto'>
  spec for: #'gemstone' version: '1.0.0'! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 05/20/2014 11:34'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '2.1.0'.

	spec for: #'gemstone' version: '0.9.0'.

	spec for: #'pharo' version: '0.9.0'.

	spec for: #'squeak' version: '0.9.0'.
! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 6/22/2012 17:28'!
version0900: spec
    <version: '0.9.0'>
    spec
        for: #'common'
        do: [ 
            spec blessing: #'development'.
            spec description: 'initial work: first commit on custom branch'.
            spec author: 'dkh'.
            spec timestamp: '5/4/2012 14:16'.
            spec
                baseline: 'External'
                with: [ spec repository: 'github://dalehenrich/external:1ac58502ade7814e1590f71d615cca434b1a4fd5/repository' ] ]! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 11/23/2013 17:59'!
version1000: spec
  <version: '1.0.0' imports: #('1.0.0-baseline')>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'release'.
      spec description: 'sample project for Otto'.
      spec author: 'dkh'.
      spec timestamp: '11/22/2013 20:12'.
      spec
        package: 'External-Core' with: 'External-Core-dkh.6';
        package: 'External-Tests' with: 'External-Tests-dkh.3';
        yourself ]! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 05/16/2014 14:22'!
version1010: spec
	<version: '1.0.1' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'testing for tODE'.
		spec author: 'dkh'.
		spec timestamp: '05/16/2014 14:22:06'.
		spec 
			package: 'External-Core' with: 'External-Core-dkh.8';
			package: 'External-Tests' with: 'External-Tests-dkh.3'. ].
! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 05/20/2014 11:20'!
version200: spec
	<version: '2.0.0' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ''.
		spec author: 'dkh'.
		spec timestamp: '05/20/2014 10:13:37'.
		spec 
			package: 'External-Core' with: 'External-Core-dkh.9';
			package: 'External-Tests' with: 'External-Tests-dkh.3'. ].
! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 05/20/2014 11:34'!
version210: spec
	<version: '2.1.0' imports: #('1.0.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ''.
		spec author: 'dkh'.
		spec timestamp: '05/20/2014 11:33:50'.
		spec 
			package: 'External-Core' with: 'External-Core-dkh.10';
			package: 'External-Tests' with: 'External-Tests-dkh.3'. ].
! !

!ConfigurationOfExternal methodsFor: 'versions' stamp: 'dkh 07/12/2014 09:14'!
version211: spec
  <version: '2.1.1' imports: #('1.0.0-baseline')>
  spec
    for: #'common'
    do: [ 
      spec blessing: #'development'.
      spec description: ''.
      spec author: 'dkh'.
      spec timestamp: '05/17/2014 08:18:06'.
      spec
        package: 'External-Core' with: 'External-Core-dkh.6';
        package: 'External-Tests' with: 'External-Tests-dkh.3' ]! !
